%global _description \
dnspython is a DNS toolkit for Python. It supports \
almost all record types. It can be used for queries, \
zone transfers, and dynamic updates. It supports TSIG \
authenticated messages and EDNS0.\
dnspython provides both high and low level access to DNS. \
The high level classes perform queries for data of a given \
name, type, and class, and return an answer set. The low \
level classes allow direct manipulation of DNS zones, \
messages, names, and records.

%global sum DNS toolkit for Python

Name:           python-dns
Summary:        %{sum}
Version:        1.15.0
Release:        10
License:        MIT
URL:            http://www.dnspython.org/
Source0: http://www.dnspython.org/kits/%{version}/dnspython-%{version}.tar.gz

Patch0:         test_fails_on_missing_file.patch

BuildRequires:  python2-devel python2-setuptools python2-crypto
BuildRequires:  python3-devel python3-setuptools python3-crypto

BuildArch:      noarch

%description
%{_description}

%package -n python2-dns
Summary:        %{sum}
%{?python_provide:%python_provide python2-dns}
Requires:       python2-crypto

%description -n python2-dns
%{_description}

%package     -n python3-dns
Summary:        %{sum}
%{?python_provide:%python_provide python3-dns}
Requires:       python3-crypto

%description -n python3-dns
%{_description}

%package_help

%prep
%autosetup -p1 -n dnspython-%{version}
find examples -type f | xargs chmod a-x

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-dns
%doc LICENSE
%{python2_sitelib}/*egg-info
%{python2_sitelib}/dns

%files -n python3-dns
%doc LICENSE
%{python3_sitelib}/*egg-info
%{python3_sitelib}/dns

%files help
%doc ChangeLog examples

%changelog
* Fri Dec 6 2019 caomeng<caomeng5@huawei.com> - 1.15.0-10
- Package init
